Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleMap.OnCameraChangeListener

com.google.android.gms.maps.GoogleMap.OnCameraChangeListener

## Class Overview

Defines signatures for methods that are called when the camera changes position.

## Summary

Public Methods
abstract void | onCameraChange(CameraPosition position) Called after the camera position has changed.

## Public Methods

#### public abstract void onCameraChange (CameraPosition position)

Called after the camera position has changed. During an animation, this listener may not be notified of intermediate camera positions. It is always called for the final position in the animation.

This is called on the main thread.

##### Parameters

position | The `CameraPosition` at the end of the last camera change.